Black screen after update

I recently installed garuda linux on a laptop. And when i update it, After a reboot i get stuck at a black screen.

Everything i can find on the subject seems to be related to a problem with a package that got solved after the repo was updated. But that was a year ago and i seem to still get the issue. I think it has to do with lightdm not starting, But i know to little about linux so i have no idea how to confirm or fix it. I am still able to use the system if i restore a snapshot.
Here is a list of all the packages that get updated, As well as my garuda-inxi.
Thanks for any help.

Packages (619) abseil-cpp-20211102.0-2  accountsservice-22.08.8-1  alacritty-0.10.1-1
alsa-card-profiles-1:0.3.48-1  alsa-plugins-1:1.2.6-3  antimicrox-3.2.2-1
aom-3.3.0-1  appstream-0.15.2-1  appstream-qt-0.15.2-1  ark-21.12.3-1
attica-5.91.0-1  auto-cpufreq-1.9.2-1  baloo-5.91.0-1  baloo-widgets-21.12.3-1
bat-0.20.0-1  bbswitch-dkms-0.8-489  beautyline-20220212-2  bind-9.18.0-1
binutils-2.38-3  bison-3.8.2-3  bluedevil-1:5.24.2-1  bluez-5.63-2
bluez-hid2hci-5.63-2  bluez-libs-5.63-2  bluez-plugins-5.63-2  bluez-qt-5.91.0-1
bluez-utils-5.63-2  bomber-21.12.3-1  bovo-21.12.3-1  breeze-5.24.2-1
breeze-icons-5.91.0-1  btrfs-progs-5.16.2-1  bubblewrap-0.6.1-1
ca-certificates-mozilla-3.76-1  candy-icons-git-r780.c227210-1
chaotic-mirrorlist-20220301-1  chromaprint-1.5.1-2
citra-canary-git-r9167.5744a83c5-1  clang-13.0.1-2  corectrl-1.2.3-1
curl-7.82.0-1  dbus-1.14.0-1  desktop-file-utils-0.26-2
discord_arch_electron-0.0.17-3  dolphin-21.12.3-1  dolphin-plugins-21.12.3-1
dtc-1.6.1-4  dxvk-mingw-git-1.10.r1.g89b1f025-1  e2fsprogs-1.46.5-3
electron15-15.3.7-2  electron16-16.0.10-1  elfutils-0.186-5  elisa-21.12.3-1
exa-0.10.1-5  expat-2.4.7-1  fakeroot-1.28-1  faudio-22.02-1  ffmpeg-2:5.0-5
ffmpeg4.4-4.4.1-4  ffmpegthumbs-21.12.3-1  filezilla-3.58.0-1
firedragon-97.0.2-1  firefox-97.0.2-1  flac-1.3.4-2  fmt-8.1.1-2
fprintd-1.94.2-1  frameworkintegration-5.91.0-1  freeglut-3.2.2-1
fscrypt-0.3.3-1  fwupd-1.7.6-1  gamemode-1.6.1-2  garuda-common-settings-2.5.5-1
garuda-dr460nized-1.5.21-1  garuda-nvidia-config-1:r62.889aefa-4
garuda-optimus-manager-config-1:r62.889aefa-4  garuda-starship-prompt-1.0.3-1
garuda-update-2.1.2-1  garuda-video-linux-config-1:r62.889aefa-4
garuda-wallpapers-r71.331d113-1  gcc-11.2.0-4  gcc-libs-11.2.0-4
geoclue-2.6.0-2  geocode-glib-3.26.2+r9+g6047da3-1  geoip-database-20220222-1
gettext-0.21-2  glib2-2.70.4-2  glibc-2.35-2  glslang-11.8.0-2
goverlay-git-0.8.r1.g8e8af0d-1  gpgme-1.17.1-1  granatier-21.12.3-1
grub-btrfs-4.11-2  gst-libav-1.20.0-3  gst-plugin-pipewire-1:0.3.48-1
gst-plugins-bad-1.20.0-3  gst-plugins-bad-libs-1.20.0-3
gst-plugins-base-1.20.0-3  gst-plugins-base-libs-1.20.0-3
gst-plugins-good-1.20.0-3  gst-plugins-ugly-1.20.0-3  gstreamer-1.20.0-3
gstreamer-vaapi-1.20.0-3  gtk-update-icon-cache-1:4.6.1-3  gtk3-1:3.24.33-1
gtk4-1:4.6.1-3  gvim-8.2.4464-1  gwenview-21.12.3-1  harfbuzz-4.0.0-1
harfbuzz-icu-4.0.0-1  heroic-games-launcher-bin-2.2.2-1  hwdata-0.357-1
iana-etc-20220205-1  imagemagick-7.1.0.27-1  intel-compute-runtime-22.09.22577-1
intel-gmmlib-22.0.3-1  intel-graphics-compiler-1:1.0.10409-1
intel-media-driver-22.2.2-1  intel-ucode-20220207-1  inxi-3.3.13.1-1
jre-openjdk-17.0.3.u3-1  jre-openjdk-headless-17.0.3.u3-1
kaccounts-integration-21.12.3-1  kaccounts-providers-21.12.3-1
kactivities-5.91.0-1  kactivities-stats-5.91.0-1  kactivitymanagerd-5.24.2-1
kajongg-21.12.3-1  kamera-21.12.3-1  kapman-21.12.3-1  karchive-5.91.0-1
kate-21.12.3-1  katomic-21.12.3-1  kauth-5.91.0-1  kblackbox-21.12.3-1
kblocks-21.12.3-1  kbookmarks-5.91.0-1  kbounce-21.12.3-1  kbreakout-21.12.3-1
kcalc-21.12.3-1  kcalendarcore-5.91.0-1  kcmutils-5.91.0-1  kcodecs-5.91.0-1
kcompletion-5.91.0-1  kconfig-5.91.0-1  kconfigwidgets-5.91.0-1
kcontacts-1:5.91.0-1  kcoreaddons-5.91.0-1  kcrash-5.91.0-1
kdbusaddons-5.91.0-1  kde-cli-tools-5.24.2-1  kde-gtk-config-5.24.2-1
kdeclarative-5.91.0-1  kdeconnect-21.12.3-1  kdecoration-5.24.2-1  kded-5.91.0-1
kdegraphics-thumbnailers-21.12.3-1  kdelibs4support-5.91.0-1
kdeplasma-addons-5.24.2-1  kdesu-5.91.0-1  kdialog-21.12.3-1  kdiamond-21.12.3-1
kdnssd-5.91.0-1  kemoticons-5.91.0-1  kfilemetadata-5.91.0-2
kfourinline-21.12.3-1  kget-21.12.3-2  kglobalaccel-5.91.0-1
kgoldrunner-21.12.3-1  kguiaddons-5.91.0-1  kholidays-1:5.91.0-1
khotkeys-5.24.2-1  ki18n-5.91.0-1  kiconthemes-5.91.0-1  kidletime-5.91.0-1
kigo-21.12.3-1  killbots-21.12.3-1  kimageformats-5.91.0-1  kinfocenter-5.24.2-1
kinit-5.91.0-1  kio-5.91.0-1  kio-extras-21.12.3-1  kio-gdrive-21.12.3-1
kipi-plugins-21.12.3-1  kirigami2-5.91.0-1  kiriki-21.12.3-1
kitemmodels-5.91.0-1  kitemviews-5.91.0-1  kjobwidgets-5.91.0-1  kjs-5.91.0-1
kjumpingcube-21.12.3-1  klickety-21.12.3-1  klines-21.12.3-1
kmahjongg-21.12.3-1  kmenuedit-5.24.2-1  kmines-21.12.3-1
knavalbattle-21.12.3-1  knetwalk-21.12.3-1  knewstuff-5.91.0-1
knights-21.12.3-1  knotifications-5.91.0-1  knotifyconfig-5.91.0-1
kolf-21.12.3-1  kollision-21.12.3-1  kompare-21.12.3-1  konquest-21.12.3-1
konsole-21.12.3-1  kpackage-5.91.0-1  kparts-5.91.0-1  kpat-21.12.3-1
kpeople-5.91.0-1  kplotting-5.91.0-1  kpmcore-21.12.3-1  kpty-5.91.0-1
kquickcharts-5.91.0-1  krdc-21.12.3-1  kreversi-21.12.3-1  krfb-21.12.3-1
krunner-5.91.0-1  kscreen-5.24.2-1  kscreenlocker-5.24.2-1  kservice-5.91.0-1
kshisen-21.12.3-1  ksirk-21.12.3-1  ksnakeduel-21.12.3-1  kspaceduel-21.12.3-1
ksquares-21.12.3-1  ksudoku-21.12.3-1  ksystemstats-5.24.2-1
ktexteditor-5.91.0-1  ktextwidgets-5.91.0-1  ktorrent-21.12.3-1
ktuberling-21.12.3-1  kubrick-21.12.3-1  kunitconversion-5.91.0-1
kvantum-theme-sweet-git-r245.6bb9c92-1  kwallet-5.91.0-1  kwallet-pam-5.24.2-1
kwayland-5.91.0-1  kwayland-integration-5.24.2-1  kwayland-server-5.24.2-1
kwidgetsaddons-5.91.0-1  kwin-5.24.2-2
kwin-effects-sliding-notifications-1.2.0-1  kwin-scripts-forceblur-0.6.1-1
kwindowsystem-5.91.0-1  kxmlgui-5.91.0-1  layer-shell-qt-5.24.2-1
lib32-at-spi2-atk-2.38.0-2  lib32-brotli-1.0.9-4  lib32-curl-7.82.0-1
lib32-dbus-1.14.0-1  lib32-dbus-glib-0.112-2  lib32-expat-2.4.7-1
lib32-flac-1.3.4-2  lib32-gamemode-1.6.1-2  lib32-gcc-libs-11.2.0-4
lib32-glew1.10-1.10.0-5  lib32-glib2-2.70.4-2  lib32-glibc-2.35-2
lib32-gst-plugins-base-libs-1.20.0-1  lib32-gstreamer-1.20.0-1
lib32-harfbuzz-4.0.0-1  lib32-lcms2-2.13.1-1
lib32-libappindicator-gtk2-12.10.0-13  lib32-libcurl-compat-7.82.0-1
lib32-libcurl-gnutls-7.82.0-1  lib32-libdrm-2.4.110-1  lib32-libgcrypt15-1.5.6-7
lib32-libidn11-1.33-2  lib32-libjpeg-turbo-2.1.3-1  lib32-libmodplug-0.8.9.0-4
lib32-libnm-1.36.2-1  lib32-libproxy-0.4.17-2  lib32-libpsl-0.21.1-2
lib32-libpulse-15.0-2  lib32-librsvg-2:2.52.6-1  lib32-libtheora-1.1.1-13
lib32-libtiff4-3.9.7-5  lib32-libtirpc-1.3.2-2  lib32-libva-mesa-driver-21.3.7-2
lib32-libvdpau-1.4-2  lib32-libwrap-7.6.31-3  lib32-libxslt-1.1.35-1
lib32-mesa-21.3.7-2  lib32-mesa-vdpau-21.3.7-2  lib32-nss-3.76-1
lib32-nvidia-utils-510.54-1  lib32-opencl-mesa-21.3.7-2
lib32-opencl-nvidia-510.54-1  lib32-openssl-1.0-1.0.2.u-2  lib32-opus-1.3.1-2
lib32-orc-0.4.32-2  lib32-pango-1:1.50.5-1  lib32-pipewire-1:0.3.48-1
lib32-pipewire-jack-1:0.3.48-1  lib32-rest-0.8.1-4  lib32-sdl2-2.0.20-2
lib32-sdl2_image-2.0.5-2  lib32-sqlite-3.38.0-1  lib32-util-linux-2.37.4-1
lib32-vkbasalt-0.3.2.5-2  lib32-vulkan-intel-21.3.7-2
lib32-vulkan-mesa-layers-21.3.7-2  lib32-vulkan-radeon-21.3.7-2
libarchive-3.6.0-1  libass-0.15.2-2  libavtp-0.2.0-1  libbluray-1.3.0-2
libbpf-0.7.0-1  libcec-6.0.2-3  libclc-13.0.1-1  libcolord-1.4.6-1
libcurl-compat-7.82.0-1  libcurl-gnutls-7.82.0-1  libde265-1.0.8-2
libdrm-2.4.110-1  libebml-1.4.2-2  libelf-0.186-5  libfprint-1.94.3-1
libgcrypt15-1.5.6-6  libgit2-1:1.4.2-1  libgphoto2-2.5.29-1  libgusb-0.3.10-2
libheif-1.12.0-3  libimagequant-2.17.0-3  libinih-53-2  libinput-1.20.0-1
libisl-0.24-4  libjpeg-turbo-2.1.3-1  libkate-0.4.1-8  libkdcraw-21.12.3-1
libkdegames-21.12.3-1  libkexiv2-21.12.3-1  libkgapi-21.12.3-1
libkipi-21.12.3-1  libkmahjongg-21.12.3-1  libkomparediff2-21.12.3-1
libkscreen-5.24.2-1  libksysguard-5.24.2-1  libktorrent-21.12.3-1
libltc-1.3.1-3  libmatroska-1.6.3-2  libmaxminddb-1.6.0-3  libmfx-22.1.0-1
libmm-glib-1.18.6-1  libmpc-1.2.1-2  libnfs-5.0.1-2  libnghttp2-1.47.0-1
libnm-1.36.2-1  libopenmpt-0.6.1-1  libpamac-aur-11.2.0-7  libplacebo-4.192.1-2
libpulse-15.0-4  libqalculate-4.0.0-1  libqmi-1.30.4-1  libqrtr-glib-1.2.2-1
libretro-beetle-pce-1102-2  libretro-beetle-pce-fast-1159-2
libretro-beetle-psx-2599-2  libretro-beetle-psx-hw-2599-2
libretro-beetle-supergrafx-939-2  libretro-blastem-2052-2
libretro-bsnes-1:1226-2  libretro-bsnes-hd-50-2  libretro-bsnes2014-1:577-2
libretro-core-info-1.10.0-2  libretro-desmume-6338-2  libretro-dolphin-33006-2
libretro-flycast-4481-2  libretro-gambatte-958-2
libretro-genesis-plus-gx-1882-2  libretro-kronos-7016-2
libretro-mame-git-82349.1f6e6075e96-1  libretro-melonds-1989-2
libretro-mesen-2903-2  libretro-mesen-s-916-3  libretro-mgba-8143-2
libretro-nestopia-1:73-2  libretro-overlays-210-2  libretro-picodrive-1263-2
libretro-play-6906-2  libretro-ppsspp-31606-2  libretro-sameboy-1720-2
libretro-scummvm-93204-2  libretro-shaders-slang-882-2  libretro-snes9x-2043-2
libretro-stella2014-git-292.1a2e96b-1  libretro-yabause-3334-2
librsvg-2:2.52.6-1  libsecret-0.20.5-1  libsigc++-2.10.8-1  libspectre-0.2.10-1
libsysprof-capture-3.42.1-3  libtool-2.4.6+59+gb55b1cc8-2  libupnp-1.14.12-3
libva-2.13.0-2  libva-intel-driver-2.4.1-2  libva-mesa-driver-21.3.7-2
libva-vdpau-driver-0.7.4-6  libvdpau-1.4-2  libvirt-1:8.1.0-4
libvirt-python-1:8.1.0-1  libvorbis-1.3.7-3  libvpx-1.11.0-2  libwacom-2.1.0-1
libwrap-7.6.31-3  libxcrypt-4.4.28-2  libxml2-2.9.13-1  libxnvctrl-510.54-2
libxslt-1.1.35-1  linux-api-headers-5.16.8-1  linux-firmware-20220209.6342082-1
linux-firmware-whence-20220209.6342082-1  linux-zen-5.16.12.zen1-1
linux-zen-headers-5.16.12.zen1-1  lsb-release-2.0.r48.3cf5103-1  lskat-21.12.3-1
lutris-0.5.9.1-5  man-db-2.10.1-1  mariadb-libs-10.7.3-1  mercurial-6.1-2
mesa-21.3.7-2  mesa-vdpau-21.3.7-2  mhwd-db-garuda-git-1:r62.889aefa-4
milou-5.24.2-1  mkinitcpio-busybox-1.35.0-1  modemmanager-1.18.6-1
modemmanager-qt-5.91.0-1  mpfr-4.1.0.p13-2  mpv-1:0.34.1-4  mtools-1:4.0.38-1
neofetch-git-7.1.0.r166.gccd5d9f5-1  networkmanager-1.36.2-1
networkmanager-qt-5.91.0-1  nextcloud-client-2:3.4.3-1  nm-cloud-setup-1.36.2-1
nss-3.76-1  nvidia-dkms-510.54-1  nvidia-settings-510.54-2
nvidia-utils-510.54-1  obs-studio-27.2.1-1  okular-21.12.3-1
oniguruma-6.9.7.1-2  openal-1.21.1-3  opencl-mesa-21.3.7-2
opencl-nvidia-510.54-1  openconnect-1:8.20-1  openfortivpn-1.17.1-2
openssh-8.9p1-1  optimus-manager-1.4-4  opus-1.3.1-3
pacman-mirrorlist-20220227-1  palapeli-21.12.3-1  pamac-aur-10.3.0-5
pango-1:1.50.5-1  partitionmanager-21.12.3-1  paru-1.9.3-1
pegasus-frontend-git-alpha15.r106.g73d00a9e-1  perl-file-mimeinfo-0.31-1
perl-http-daemon-6.13-1  perl-net-http-6.22-1  picmi-21.12.3-1
pipewire-1:0.3.48-1  pipewire-alsa-1:0.3.48-1  pipewire-jack-1:0.3.48-1
pipewire-pulse-1:0.3.48-1  pipewire-v4l2-1:0.3.48-1
pipewire-zeroconf-1:0.3.48-1  plasma-browser-integration-5.24.2-1
plasma-desktop-5.24.2-1  plasma-disks-5.24.2-1  plasma-firewall-5.24.2-1
plasma-framework-5.91.0-1  plasma-integration-5.24.2-1  plasma-nm-5.24.2-1
plasma-pa-5.24.2-1  plasma-systemmonitor-5.24.2-1  plasma-thunderbolt-5.24.2-1
plasma-vault-5.24.2-1  plasma-workspace-5.24.2-1
plasma5-applets-window-buttons-0.11.1-1  plymouth-git-22.02.122.r10.gd7bd39a-1
plymouth-theme-dr460nized-r5.630da28-1  polkit-kde-agent-5.24.2-1
poppler-22.03.0-1  poppler-qt5-22.03.0-1  postgresql-libs-13.6-1
powerdevil-5.24.2-1  ppsspp-assets-1.12.3-2  prison-5.91.0-1
proton-ge-custom-2:GE.Proton7.8-1  protontricks-git-1.8.0.r1.g9fc5d62-1
purpose-5.91.0-1  python-click-8.0.4-1  python-distro-1.7.0-1  python-idna-3.3-4
python-pyparsing-3.0.1-1  python-requests-2.27.1-1  python-setuptools-1:59.3.0-1
python-typing_extensions-4.1.0-1  python-yaml-6.0-1  qemu-6.2.0-4
qemu-arch-extra-6.2.0-4  qgpgme-1.17.1-1  qpdf-10.6.2-3
qqc2-desktop-style-5.91.0-1  qt5-base-5.15.3+kde+r133-1
qt5-charts-5.15.3+kde+r0-1  qt5-declarative-5.15.3+kde+r20-1
qt5-gamepad-5.15.3+kde+r0-1  qt5-graphicaleffects-5.15.3+kde+r0-1
qt5-imageformats-5.15.3+kde+r0-1  qt5-location-5.15.3+kde+r0-1
qt5-multimedia-5.15.3+kde+r0-1  qt5-quickcontrols-5.15.3+kde+r0-1
qt5-quickcontrols2-5.15.3+kde+r4-1  qt5-sensors-5.15.3+kde+r0-1
qt5-speech-5.15.3+kde+r1-1  qt5-svg-5.15.3+kde+r12-1  qt5-tools-5.15.3+kde+r1-1
qt5-translations-5.15.3+kde+r2-1  qt5-wayland-5.15.3+kde+r40-1
qt5-webchannel-5.15.3+kde+r3-1  qt5-webengine-5.15.8-10
qt5-websockets-5.15.3+kde+r3-1  qt5-x11extras-5.15.3+kde+r0-1
qt5-xmlpatterns-5.15.3+kde+r0-1  qt5pas-2.6.2.2.0-2  qt6-base-6.2.3-5
raptor-2.0.15-18  reflector-2021.11-3  resvg-0.22.0-1  retroarch-1.10.0-4
retroarch-assets-glui-1:405-2  retroarch-assets-ozone-1:405-2
retroarch-assets-xmb-1:405-2  retroarch-autoconfig-udev-git-r2018.0eb3ad2-1
rtmpdump-1:2.4.r99.f1b83c1-2  scrcpy-1.23-1  sddm-kcm-5.24.2-1  sdl2-2.0.20-2
seabios-1.16.0-1  shaderc-2022.1-1  signon-kwallet-extension-21.12.3-1
signon-ui-0.17+20171022-3  smartmontools-7.3-1  socat-1.7.4.3-1  solid-5.91.0-1
sonnet-5.91.0-1  soundtouch-2.3.1-2  spdlog-1.9.2-3  spectacle-21.12.3-1
spice-gtk-0.40-1  spirv-tools-2022.1-1  sqlite-3.38.0-1  starship-1.3.0-2
steam-native-runtime-1.0.0.70-3  steamtinkerlaunch-9.2-1  strongswan-5.9.5-1
sudo-1.9.10-1  svt-av1-0.9.0-2  svt-hevc-1.5.1-2
sweet-cursor-theme-git-r245.6bb9c92-1  sweet-kde-git-r245.6bb9c92-1
syndication-5.91.0-1  syntax-highlighting-5.91.0-1  systemd-250.3-4
systemd-libs-250.3-4  systemd-sysvcompat-250.3-4  systemsettings-5.24.2-1
telegram-desktop-3.5.2-1  threadweaver-5.91.0-1  thunderbird-appmenu-91.6.0-2
tpm2-tss-3.2.0-1  ttf-iosevka-nerd-2.1.0-2  unrar-1:6.1.6-1  unzip-6.0-18
upower-0.99.16-2  uresourced-0.5.1-1  usb_modeswitch-2.6.1-2
util-linux-2.37.4-1  util-linux-libs-2.37.4-1  vde2-2.3.2-20  vdpauinfo-1.4-2
vim-runtime-8.2.4464-1  virt-install-4.0.0-1  virt-manager-4.0.0-1
vkbasalt-0.3.2.5-3  vlc-3.0.16-8  vmaf-2.3.0-1  vpnc-1:0.5.3.r501.r196-1
vulkan-headers-1:1.3.206-1  vulkan-intel-21.3.7-2  vulkan-mesa-layers-21.3.7-2
vulkan-radeon-21.3.7-2  vulkan-swrast-21.3.7-2  vulkan-tools-1.2.203-2
webkit2gtk-2.34.6-1  whois-5.5.12-1  wine-ge-custom-1:GE.Proton7.5-1
wine-mono-7.1.1-1  wineasio-1.1.0-3  wireless-regdb-2022.02.18-1
wpa_supplicant-2:2.10-3  x264-3:0.164.r3081.19856cc-2  x265-3.5-3
xcursor-sweet-20200612-1 [removal]  xdg-dbus-proxy-0.1.3-1
xdg-desktop-portal-kde-5.24.2-1  xf86-input-wacom-1.0.0-1
xf86-video-amdgpu-22.0.0-1  xkeyboard-config-2.35.1-1  xorg-server-21.1.3-6
xorg-server-common-21.1.3-6  xorg-xwayland-22.1.0-1  xxhash-0.8.1-2  yad-11.0-1
garuda-inxi
System:
Kernel: 5.16.7-zen1-1-zen x86_64 bits: 64 compiler: gcc v: 11.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=3a12a9e5-35b2-42a6-8b30-94da5fb33ed0 rw [email protected]
splash rd.udev.log_priority=3 vt.global_cursor_default=0 loglevel=7
Desktop: KDE Plasma 5.23.5 tk: Qt 5.15.2 info: latte-dock wm: kwin_x11
vt: 1 dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
Type: Laptop System: Acer product: Aspire A515-51G v: V1.19
serial: <superuser required>
Mobo: KBL model: Charmander_KL v: V1.19 serial: <superuser required>
UEFI: Insyde v: 1.19 date: 04/24/2018
Battery:
ID-1: BAT1 charge: 45.6 Wh (100.0%) condition: 45.6/48.9 Wh (93.2%)
volts: 16.9 min: 15.2 model: LG 004B384234314341 type: Li-ion
serial: <filter> status: Full
CPU:
Info: model: Intel Core i5-8250U bits: 64 type: MT MCP arch: Coffee Lake
family: 6 model-id: 0x8E (142) stepping: 0xA (10) microcode: 0xEA
Topology: cpus: 1x cores: 4 tpc: 2 threads: 8 smt: enabled cache:
L1: 256 KiB desc: d-4x32 KiB; i-4x32 KiB L2: 1024 KiB desc: 4x256 KiB
L3: 6 MiB desc: 1x6 MiB
Speed (MHz): avg: 3293 high: 3402 min/max: 400/3400 scaling:
driver: intel_pstate governor: powersave cores: 1: 2537 2: 3400 3: 3401
4: 3401 5: 3402 6: 3401 7: 3400 8: 3402 bogomips: 28800
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Vulnerabilities:
Type: itlb_multihit status: KVM: VMX disabled
Type: l1tf
mitigation: PTE Inversion; VMX: conditional cache flushes, SMT vulnerable
Type: mds mitigation: Clear CPU buffers; SMT vulnerable
Type: meltdown mitigation: PTI
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2 mitigation: Full generic retpoline, IBPB: conditional,
IBRS_FW, STIBP: conditional, RSB filling
Type: srbds mitigation: Microcode
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: Intel UHD Graphics 620 vendor: Acer Incorporated ALI driver: i915
v: kernel bus-ID: 0000:00:02.0 chip-ID: 8086:5917 class-ID: 0300
Device-2: NVIDIA GM108M [GeForce MX130] vendor: Acer Incorporated ALI
driver: N/A alternate: nouveau bus-ID: 0000:01:00.0 chip-ID: 10de:174d
class-ID: 0302
Device-3: Chicony HD WebCam type: USB driver: N/A bus-ID: 1-7:5
chip-ID: 04f2:b5f7 class-ID: 0e02
Display: x11 server: X.Org 1.21.1.3 compositor: kwin_x11 driver:
loaded: intel unloaded: modesetting alternate: fbdev,vesa display-ID: :0
screens: 1
Screen-1: 0 s-res: 1366x768 s-dpi: 96 s-size: 361x203mm (14.2x8.0")
s-diag: 414mm (16.3")
Monitor-1: eDP1 res: 1366x768 hz: 60 dpi: 102 size: 340x190mm (13.4x7.5")
diag: 389mm (15.3")
OpenGL: renderer: Mesa Intel UHD Graphics 620 (KBL GT2)
v: 4.6 Mesa 21.3.5 direct render: Yes
Audio:
Device-1: Intel Sunrise Point-LP HD Audio vendor: Acer Incorporated ALI
driver: snd_hda_intel v: kernel alternate: snd_soc_skl bus-ID: 0000:00:1f.3
chip-ID: 8086:9d71 class-ID: 0403
Device-2: SteelSeries ApS Arctis Pro Wireless type: USB
driver: hid-generic,snd-usb-audio,usbhid bus-ID: 1-3.3:10
chip-ID: 1038:1294 class-ID: 0300
Sound Server-1: ALSA v: k5.16.7-zen1-1-zen running: yes
Sound Server-2: PulseAudio v: 15.0 running: no
Sound Server-3: PipeWire v: 0.3.45 running: yes
Network:
Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
vendor: Acer Incorporated ALI driver: r8169 v: kernel port: 3000
bus-ID: 0000:02:00.1 chip-ID: 10ec:8168 class-ID: 0200
IF: enp2s0f1 state: down mac: <filter>
Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter
vendor: Lite-On driver: ath10k_pci v: kernel bus-ID: 0000:03:00.0
chip-ID: 168c:0042 class-ID: 0280
IF: wlp3s0 state: up mac: <filter>
Bluetooth:
Device-1: Lite-On Qualcomm Atheros QCA9377 Bluetooth type: USB
driver: btusb v: 0.8 bus-ID: 1-5:3 chip-ID: 04ca:3015 class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 14 state: up address: <filter>
RAID:
Hardware-1: Intel 82801 Mobile SATA Controller [RAID mode]
driver: intel_nvme_remap v: N/A port: 5060 bus-ID: 0000:00:17.0
chip-ID: 8086:282a rev: N/A class-ID: 0104
Device-1: md127 maj-min: 9:127 type: mdraid level: N/A status: inactive
size: N/A
Info: report: N/A blocks: 2944 chunk-size: N/A
Components: Online: N/A Spare:
0: nvme0n1 maj-min: 259:0 size: 13.41 GiB state: S
Drives:
Local Storage: total: 944.93 GiB used: 125.28 GiB (13.3%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Intel model: MEMPEK1J016GA
size: 13.41 GiB block-size: physical: 512 B logical: 512 B type: SSD
serial: <filter> rev: K4110400 temp: 37.9 C
ID-2: /dev/sda maj-min: 8:0 vendor: Toshiba model: MQ04ABF100
size: 931.51 GiB block-size: physical: 4096 B logical: 512 B
speed: 6.0 Gb/s type: HDD rpm: 5400 serial: <filter> rev: 1J scheme: GPT
Partition:
ID-1: / raw-size: 921.36 GiB size: 921.36 GiB (100.00%)
used: 125.28 GiB (13.6%) fs: btrfs dev: /dev/sda3 maj-min: 8:3
ID-2: /boot/efi raw-size: 400 MiB size: 399.2 MiB (99.80%)
used: 576 KiB (0.1%) fs: vfat dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 921.36 GiB size: 921.36 GiB (100.00%)
used: 125.28 GiB (13.6%) fs: btrfs dev: /dev/sda3 maj-min: 8:3
ID-4: /var/log raw-size: 921.36 GiB size: 921.36 GiB (100.00%)
used: 125.28 GiB (13.6%) fs: btrfs dev: /dev/sda3 maj-min: 8:3
ID-5: /var/tmp raw-size: 921.36 GiB size: 921.36 GiB (100.00%)
used: 125.28 GiB (13.6%) fs: btrfs dev: /dev/sda3 maj-min: 8:3
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 7.64 GiB used: 2 MiB (0.0%) priority: 100
dev: /dev/zram0
ID-2: swap-2 type: partition size: 9.77 GiB used: 0 KiB (0.0%)
priority: -2 dev: /dev/sda2 maj-min: 8:2
Sensors:
System Temperatures: cpu: 29.8 C mobo: 27.8 C
Fan Speeds (RPM): N/A
Info:
Processes: 316 Uptime: 3d 15h 17m wakeups: 24 Memory: 7.64 GiB
used: 2.1 GiB (27.5%) Init: systemd v: 250 tool: systemctl Compilers:
gcc: 11.1.0 clang: 13.0.1 Packages: pacman: 1764 lib: 518 Shell: fish
v: 3.3.1 running-in: konsole inxi: 3.3.12
Garuda (2.5.4-2):
System install date:     2022-02-07
Last full system update: 2022-02-18
Is partially upgraded:   Yes
Relevant software:       NetworkManager
Windows dual boot:       No/Undetected
Snapshots:               Snapper
Failed units:            systemd-vconsole-setup.service

Have you tried updating with

garuda-update

in the terminal

Also are you able to ctrl-alt-f2 into a terminal to then check at what point it is failing to load

2 Likes

Some time ago, I found on black screen boot, with blinking cursor,
that in TTY1 was the log from boot,
in TTY3 are the login terminal (I think you can use TTY2 to TTY6 too)
and in TTY7 I got the standard, normal, login (with walllpaper) window.

Magic :slight_smile:

3 Likes

Also worth checking:

3 Likes

@TilliDie gona try that now.
@SGS sorry but i have no clue what they are. I think they are interactive consoles...?
@jonathon have tried those.

Reach TTY3
Ctrl + Alt + F3

LMGTFY

https://www.howtogeek.com/428174/what-is-a-tty-on-linux-and-how-to-use-the-tty-command/

Accessing a TTY

You can access a full-screen TTY session by holding down the Ctrl+Alt keys, and pressing one of the function keys.

Ctrl+Alt+F3 will bring up the login prompt of tty3.

Actual is 5.16.12 so update your system more often, less issues.

3 Likes

@SGS That's kind of the problem, I have had it for a months or so and have not been able to update it without getting this black screen.
Any way i updated it using garuda-update, Now I seem to be stuck at some sort of hardware initialization screen.

Ok I was able to get to the tty console. But it wont let me login. Just keeps saying incorrect login

There is something I'm missing here.
If you say you tried the "Computer doesn't boot..." tutorial, but didn't know how to boot to a TTY, what did you exactly try there?
In my opinion it's worth trying to boot from a live USB, chroot into your system and update.
In this way, you'll be automatically (without password) root into your system.
See here how to chroot.
I think the problem could come from here:

You're missing the Nvidia drivers.
Maybe something went wrong during an update and the sudo dkms autoinstall could help.
Alternatively, either from TTY of chrooting, you could try:

sudo pacman -S nvidia-dkms nvidia-settings
5 Likes

Note, it is not necessary to ping moderators or admins with @. We get a hint from every post in the forum, see photo.
Other users also receive this when they have replied in a topic.

It is also generally considered rude.

1 Like

Your output lists the xhci_hcd kernel module, which has nominally been eliminated from current kernels. What happens if you load that driver module?

Coincidently filo i decided to look at the pacman log after i replied and found this

Install DKMS modules
==> dkms install --no-depmod hid-xpadneo/0.9 -k 5.16.13-zen1-1-zen
Deprecated feature: REMAKE_INITRD
==> dkms install --no-depmod hid-xpadneo-v0.9-93/gcf392a7 -k 5.16.13-zen1-1-zen
Error! Bad return status for module build on kernel: 5.16.13-zen1-1-zen (x86_64)
Consult /var/lib/dkms/hid-xpadneo-v0.9-93/gcf392a7/build/make.log for more information.
==> WARNING: `dkms install --no-depmod hid-xpadneo-v0.9-93/gcf392a7 -k 5.16.13-zen1-1-zen' exited 10
==> dkms install --no-depmod bbswitch/0.8 -k 5.16.13-zen1-1-zen
==> dkms install --no-depmod nvidia/510.54 -k 5.16.7-zen1-1-zen
Error! Bad return status for module build on kernel: 5.16.7-zen1-1-zen (x86_64)
Consult /var/lib/dkms/nvidia/510.54/build/make.log for more information.
==> WARNING: `dkms install --no-depmod nvidia/510.54 -k 5.16.7-zen1-1-zen' exited 10
==> dkms install --no-depmod acpi_call/1.2.2 -k 5.16.13-zen1-1-zen
==> dkms install --no-depmod nvidia/510.54 -k 5.16.13-zen1-1-zen
==> dkms install --no-depmod bbswitch/0.8 -k 5.16.7-zen1-1-zen
Error! Bad return status for module build on kernel: 5.16.7-zen1-1-zen (x86_64)
Consult /var/lib/dkms/bbswitch/0.8/build/make.log for more information.
==> WARNING: `dkms install --no-depmod bbswitch/0.8 -k 5.16.7-zen1-1-zen' exited 10
==> depmod 5.16.13-zen1-1-zen

chrooting and reinstalling the dksm nvidia modules seems to have no effect.

Sorry sgs im used to other platforms. Did not mean to be rude

c00ter can you explain to me how to do this?

I was in error. I mistook that module for a similarly named one. Please disregard.

Firstly, the error message tells you which file to look at for more information about the problem:

However, it looks like you've managed to break DKMS at some point - it's trying to build modules for two versions of the same kernel:

This needs to be resolved, likely by removing all DKMS-related packages, clearing out /var/lib/dkms/, and reinstalling the DKMS packages you need.

4 Likes

Sorry for the late reply, I have been moving house.
So i looked at the dkms make log and came up with this.
I assume i would have to fix this issue before i can reinstall dkms.

DKMS make.log for nvidia-510.47.03 for kernel 5.16.7-zen1-1-zen (x86_64)
Wed Feb  9 16:27:21 ACST 2022
make[1]: Entering directory '/usr/lib/modules/5.16.7-zen1-1-zen/build'
warning: the compiler differs from the one used to build the kernel
  The kernel was built by: gcc (GCC) 11.1.0
  You are using:           cc (GCC) 11.1.0
make[1]: make: No such file or directory
make[1]: *** [Makefile:1841: /var/lib/dkms/nvidia/510.47.03/build] Error 127
make[1]: Leaving directory '/usr/lib/modules/5.16.7-zen1-1-zen/build'
make: *** [Makefile:82: modules] Error 2

OK so i downloaded and downgraded gcc to 11.1.0 and was able to get dkms to build successfully. I updated dkms without running a system update. And i still get stuck at the same hardware detection screen. so it seems like dkms is the problem.
as i do not have a lot of free time i did not completely uninstall dkms just upgraded. would this be a problem or should i move on to something else.

It sounds like this is a significant part of the problem. It is possible you are not taking enough time to properly work through the troubleshooting advice people are giving you.

link

...Did you? What were the outputs you got from these commands?

4 Likes

As with Arch, partial upgrades are not supported.

Your system is in a weird state, and you don't seem interested in following the advice given that should fix the problem, so it might be easier just to reinstall.

4 Likes

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.